# Öffentliche Seite der WTF Kooperative eG

Öffentliche Website der Genossenschaft auf Basis des Static-Site-Generators [Lektor](https://www.getlektor.com/).

<a href="https://wtf-eg.de/"><img src="https://git.wtf-eg.de/ag_kommunikation/webseite/raw/branch/main/assets/images/wtf_logo.svg" width="420px" alt="WTF Logo"/></a>

Das Git Repository zur Webseite ist auf [git.wtf-eg.de/ag_kommunikation/webseite](https://git.wtf-eg.de/ag_kommunikation/webseite.git).

## Status

Release Party am Mittwoch, den 14.04

## Lokales entwickeln

### Vorbereitung

Installation von Lektor, siehe offizielle [Doku](https://www.getlektor.com/docs/installation/).

```
# install git requirements
sudo apt install git-lfs

# install lektor requirements
sudo apt install python3-pip imagemagick

# install lektor
pip3 install --user lektor

# clone git repo to folder wtf-webseite
git clone https://git.wtf-eg.de/ag_kommunikation/webseite.git wtf-webseite

# change to repo
cd wtf-webseite

# install lfs
git lfs install

# download all LFS files
git lfs fetch

# run lektor
lektor server
```

### Server starten

Der Server kann nun per `lektor server` gestartet werden und sollte unter http://127.0.0.1:5000/ erreichbar sein.

